6.0.0-git
2019-03-20

[#12528] Basic mode: Navigation in mailbox with page number fails
Summary Basic mode: Navigation in mailbox with page number fails
Queue IMP
Queue Version 6.1.3
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester frank.richter (at) hrz (dot) tu-chemnitz (dot) de
Created 2013-08-02 (2056 days ago)
Due
Updated 2013-08-04 (2054 days ago)
Assigned
Resolved 2013-08-04 (2054 days ago)
Milestone
Patch No

History
2013-08-04 21:35:58 Michael Slusarz Comment #3
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
IMP 6.1.4
2013-08-04 21:35:56 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit f070b6c56eb187673d6351a19a1d793b5c947621
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sun Aug 4 21:33:48 2013 -0600

     Bug #12528: Fix navigation with explicit page number in basic view

  imp/templates/basic/mailbox/navbar.html.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/f070b6c56eb187673d6351a19a1d793b5c947621
2013-08-02 12:12:15 frank (dot) richter (at) hrz (dot) tu-chemnitz (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Basic mode: Navigation in mailbox with page number fails
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,
in basic mode, when I type in a page number in the navigaton bar, this 
error occurs:
   -> https://mail-test.tu-chemnitz.de/imp/basic.php?mailbox=S.....&mpage=2

Page not found:

IMP_Exception Object
(
     [details] =>
     [logged] => 1
     [_logLevel:protected] => 0
     [message:protected] => Page not found:
     [string:Exception:private] =>
     [code:protected] => 0
     [file:protected] => /var/www/html/horde/imp/basic.php
     [line:protected] => 30
     [trace:Exception:private] => Array
         (
         )

     [previous:Exception:private] =>
)

I assume, the URL should be: 
https://mail-test.tu-chemnitz.de/imp/basic.php?page=mailbox&mailbox=S.....&mpage=2
But this doesn't work, at least not in Firefox an Chome:
<form class="imp-navbar" action="/imp/basic.php?page=mailbox" method="get">

IMHO, this should be changed to
<form class="imp-navbar" action="/imp/basic.php" method="get">
<input type="hidden" value="mailbox" name="page">

  -> horde/imp/templates/basic/mailbox/navbar.html.php ?

Regards,
Frank

Saved Queries